> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current user's accounts

> Retrieves the collection of Account resources.



## OpenAPI

````yaml get /user/accounts
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /user/accounts:
    parameters: []
    get:
      tags:
        - User
      summary: Get the current user's accounts
      description: Retrieves the collection of Account resources.
      operationId: getUserAccounts
      parameters: []
      responses:
        '200':
          description: Account collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account-AccountDetail'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Account-AccountDetail'
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /user/accounts \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Account-AccountDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        tenant:
          $ref: '#/components/schemas/Tenant-AccountDetail'
          readOnly: true
    Tenant-AccountDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        name:
          minLength: 2
          maxLength: 255
          description: The name of the tenant
          example: ACME
          type: string
        username:
          readOnly: true
          example: acme
          type: string
        legalCompanyName:
          example: Acme Inc.
          type: string
      required:
        - name
        - legalCompanyName
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````